
import 'dart:async';
import 'dart:ffi';
import 'dart:io';

import 'package:flutter/services.dart';

class FlutterPluginh {
  static const MethodChannel _channel =
      const MethodChannel('flutter_pluginh');

  static Future<String> get platformVersion async {
    final String version = await _channel.invokeMethod('getPlatformVersion');
    return version;
  }

  static final DynamicLibrary nativeAddLib = Platform.isAndroid
      ? DynamicLibrary.open("libnative_add.so")
      : DynamicLibrary.process();

  static final int Function(int x, int y) nativeAdd =
  nativeAddLib
      .lookup<NativeFunction<Int32 Function(Int32, Int32)>>("native_add")
      .asFunction();
}
